SIGRELSE(3)

NAME
sigrelse - manipulate current signal mask

LIBRARY
libc

SYNOPSIS
#include <signal.h>
int
sigrelse(int sig);

DESCRIPTION
This interface is made obsolete by sigprocmask(2).

The sigrelse() function removes the signal sig from the calling process' signal mask.

RETURN VALUES
If successful, the sigrelse() function returns 0. Otherwise -1 is returned and errno is set to indicate the error.

ERRORS
The sigrelse() function will fail if:

[EINVAL]
    The argument sig is not a valid signal number.

SEE ALSO
sigprocmask(2), sighold(3)

STANDARDS
The sigrelse() function conforms to p1003.1-2001.